<?xml version="1.0" encoding="UTF-8"?>
<digester-rules>
	<pattern value="uniform">
		<object-create-rule
			classname="fr.ustl.uniform.config.digester.UniformConfigBean" />
		<pattern value="site">
			<object-create-rule
				classname="fr.ustl.uniform.config.digester.SiteConfig" />
			<set-properties-rule />
			<bean-property-setter-rule pattern="url" propertyname="url" />
			<bean-property-setter-rule pattern="mobile-url" propertyname="mobileUrl" />
			<set-next-rule methodname="setSiteConfig" />
		</pattern>
		<pattern value="oai">
			<object-create-rule
				classname="fr.ustl.uniform.config.digester.OaiConfig" />
			<set-properties-rule>
				<alias attr-name="nameSpace" prop-name="nameSpace" />
				<alias attr-name="schemaLocation"
					prop-name="schemaLocation" />
			</set-properties-rule>
			<set-next-rule methodname="setOaiConfig" />
		</pattern>
		<pattern value="data-base">
			<object-create-rule
				classname="fr.ustl.uniform.config.digester.BaseConfig" />
			<set-properties-rule />
			<pattern value="init-base">
				<object-create-rule
					classname="fr.ustl.uniform.config.digester.InitBaseConfig" />
				<set-properties-rule />
				<bean-property-setter-rule pattern="constants-name"
					propertyname="constantesName" />
				<bean-property-setter-rule pattern="orgUnit-name"
					propertyname="orgUnitName" />
				<bean-property-setter-rule pattern="code-rne"
					propertyname="rne" />
				<set-next-rule methodname="setInitBaseConfig" />
			</pattern>
			<bean-property-setter-rule pattern="import-path"
				propertyname="importPath" />
			<pattern value="connection">
				<set-properties-rule>
					<alias attr-name="login" prop-name="login" />
					<alias attr-name="pass" prop-name="pass" />
				</set-properties-rule>
			</pattern>
			<set-next-rule methodname="setBaseConfig" />
		</pattern>
		<pattern value="xsl">
			<object-create-rule
				classname="fr.ustl.uniform.config.digester.XslConfig" />
		<pattern value="sof-to-cdm">
			<set-properties-rule>
					<alias attr-name="xsl"
						prop-name="xsl" />
			</set-properties-rule>
			<set-properties-rule>
					<alias attr-name="nameSpace"
						prop-name="nameSpace" />
			</set-properties-rule>
			<set-properties-rule>
					<alias attr-name="nameSpaceAware"
						prop-name="nameSpaceAware" />
			</set-properties-rule>
			<set-properties-rule>
					<alias attr-name="regex"
						prop-name="regex" />
			</set-properties-rule>
			<pattern value="filter">
				<object-create-rule
				classname="fr.ustl.uniform.config.digester.Filter" />
				<set-properties-rule>
					<alias attr-name="xsl"
						prop-name="xsl" />
				</set-properties-rule>
				<set-next-rule methodname="addFilter" />
			</pattern>
		</pattern>
			<bean-property-setter-rule pattern="sof-to-orgUnit"
				propertyname="sof2Orgunit" />
					
			<bean-property-setter-rule pattern="extract-program" propertyname="extractProgram" />
			
			<pattern value="dom-to-pdf">
				<set-properties-rule>
					<alias attr-name="mention" prop-name="mention" />
					<alias attr-name="parcours" prop-name="parcours" />
					<alias attr-name="cours" prop-name="cours" />
				</set-properties-rule>
				<bean-property-setter-rule propertyname="dom2Pdf" />
			</pattern>
			<bean-property-setter-rule pattern="cdm-to-oai"
				propertyname="cdm2oai" />
			<bean-property-setter-rule pattern="constants-to-listSets"
				propertyname="constants2listSets" />
			<bean-property-setter-rule pattern="slight-cdm"
				propertyname="slightCdm" />
			<bean-property-setter-rule pattern="filter-program"
				propertyname="filterProgram" />
			<pattern value="cdm-document">
				<set-properties-rule>
					<alias attr-name="metaDataLocation"
						prop-name="metaDataLocation" />
				</set-properties-rule>
				<bean-property-setter-rule propertyname="cdmDocument" />
			</pattern>
			<bean-property-setter-rule pattern="lov-sof-update"
				propertyname="lovSofUpdate" />
			<set-next-rule methodname="setXslConfig" />
		</pattern>
		<pattern value="lucene-config">
			<object-create-rule
				classname="fr.ustl.uniform.config.digester.QueryConfig" />
			<bean-property-setter-rule pattern="file-name"
				propertyname="fileName" />
			<bean-property-setter-rule pattern="year-search"
				propertyname="yearSearch" />
			<bean-property-setter-rule pattern="cache-size"
				propertyname="cacheSize" />
			<set-next-rule methodname="setQueryConfig" />
		</pattern>
		<pattern value="view">
			<object-create-rule
				classname="fr.ustl.uniform.config.digester.ViewConfig" />
			<bean-property-setter-rule pattern="profil-name"
				propertyname="profil" />
			<bean-property-setter-rule pattern="default-xsl"
				propertyname="defaultXsl" />
			<bean-property-setter-rule pattern="lang"
				propertyname="lang" />
			<bean-property-setter-rule pattern="useLangToBuildFileName"
				propertyname="useLangToBuildFileName" />
			<pattern value="pas">
				<set-properties-rule>
					<alias attr-name="activated"
						prop-name="pasActivated" />
				</set-properties-rule>
				<bean-property-setter-rule propertyname="pas" />
			</pattern>
			<bean-property-setter-rule pattern="activate-pas"
				propertyname="activatePas" />
			<bean-property-setter-rule pattern="affiche-mode"
				propertyname="afficheMode" />
			<set-next-rule methodname="setViewConfig" />
		</pattern>
		<pattern value="catalog-web-service">
			<object-create-rule
				classname="fr.ustl.uniform.config.digester.CataWebService" />
			<bean-property-setter-rule pattern="max-sessions"
				propertyname="maxSessions" />
			<bean-property-setter-rule pattern="minutes-out-session"
				propertyname="millisOutSession" />
			<set-next-rule methodname="setCataWebService" />
		</pattern>
		
	</pattern>
</digester-rules>
